
ChiliProject - Bug # 434: utf8 in ustable

Status: Closed Priority: Normal
Author: Alf Gaida Category: SCM
Created: 2011-05-29 Assignee: Alf Gaida
Updated: 2011-07-18 Due date:
Remote issue URL:
Affected version: unstable
Description: Hi, there are some glitches in utf8 unstable 

* app/views/common/_diff.rhtml
* app/models/changeset.rb

Hope i done the fix right.

Associated revisions
2008-02-26 07:15 pm - Jean-Philippe Lang 
Adds date range filter and pagination on time entries detail view (closes #434).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1173 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2011-05-29 09:13 am - Felix Schäfer
I can't find a @to_utf8_for_repositories@ function with an arity of 2, have you tried this on your development installation?

2011-05-29 09:40 am - Alf Gaida
Yes, its in the unstable branch. 
Affected version: unstable

This was the reason for me to realize that i've updated the false project to 
unstable - the diffs dont work no more.

Hintergrund:
Ich war so blÃ¶de, ausversehen eine erst kurz in Betrieb befindliche 
Installation mit einem git checkout unstable zu versauen. Samt Migration der 
Datenbank und Eintrag in mein Wiki - und der Feststellung, dass ich das 
falsche Terminal erwischt hatte. Dies aber erst Stunden spÃ¤ter - egal, 
erledigt. 

> Issue #434 has been updated by Felix SchÃ¤fer.
> 
> 
> I can't find a @to_utf8_for_repositories@ function with an arity of 2, have
> you tried this on your development installation?
> ----------------------------------------
> Bug #434: utf8 in ustable
> https://www.chiliproject.org/issues/434
> 
> Author: Alf Gaida
> Status: Open
> Priority: Normal
> Assignee:
> Category: SCM
> Target version:
> Remote issue URL:
> Affected version: unstable
> 
> 
> Hi, there are some glitches in utf8 unstable
> * app/views/common/_diff.rhtml
> * app/models/changeset.rb
> 
> Hope i done the fix right.

2011-05-29 01:37 pm - Alf Gaida
- File utf8-unstable-2.diff added

Alf Gaida wrote:
> > * app/models/changeset.rb
> > 
This part in first patch is crap.

2011-05-29 03:28 pm - Felix Schäfer
- Assignee set to Alf Gaida

- Status changed from Open to Needs more information

It seems we don't have a test for this, do you have an example of were this fails and shows that your patch corrects it, preferably in the test repos or in a 
publicly available repo, or in a wiki page if you have a wiki page available?

2011-05-29 04:44 pm - Alf Gaida
http://wiki.g-com.eu/ChiliProject%20Fehler

Login and Pages at Foot of the Page

2011-05-31 01:24 pm - Alf Gaida
Felix SchÃ¤fer wrote:
> It seems we don't have a test for this...

Brauchst Du noch weitere Informationen? Fehlerhafte Seite und funktionierende Seite sind verlinkt, User/Passwort stehen auf der Wiki-Page. Der Dump 
des Fehlers und das GegenstÃ¼ck (funktionierend) auch. Nicht Ã¼belnehmen, mit den Zugangsdaten sollte man kein Schindluder anfangen kÃ¶nnen, 
aber die chilieval.g-com.eu und chili.g-com.sind dadurch momentan geblockt fÃ¼r Updates.

2011-05-31 01:29 pm - Felix Schäfer
Alf Gaida wrote:
> Felix SchÃ¤fer wrote:
> > It seems we don't have a test for this...
> 
> Brauchst Du noch weitere Informationen?

HÃ¶chstens  Ruby/Rails/Rake Versionen. Sorry, ich bin noch nicht dazu gekommen, Ich werd versuchen es heute Abend zu tun. Bist du im IRC oder so 
auffindbar, dann brÃ¤uchtest du die Instanzen nicht solange geblockt lassen.
2011-05-31 01:43 pm - Alf Gaida
<pre>

root@websvr:~# gem list
                                                                                                                                                          
*** LOCAL GEMS ***                                                                                                                                        
                                                                                                                                                          
abstract (1.0.0)                                                                                                                                          
actionmailer (3.0.7, 3.0.4, 2.3.11, 2.3.5)                                                                                                                
actionpack (3.0.7, 3.0.4, 2.3.11, 2.3.5)                                                                                                                  
activemodel (3.0.7, 3.0.4)                                                                                                                                
activerecord (3.0.7, 3.0.4, 2.3.11, 2.3.5)                                                                                                                
activeresource (3.0.7, 3.0.4, 2.3.11, 2.3.5)                                                                                                              
activesupport (3.0.7, 3.0.4, 2.3.11, 2.3.5)                                                                                                               
arel (2.1.0, 2.0.8)                                                                                                                                       
builder (3.0.0, 2.1.2)                                                                                                                                    
bundle (0.0.1)
bundler (1.0.13, 1.0.12, 1.0.10)
coderay (0.9.8)
daemon_controller (0.2.6)
edavis10-object_daddy (0.4.3)
erubis (2.7.0, 2.6.6)
fastthread (1.0.7)
file-tail (1.0.5)
i18n (0.5.0, 0.4.2)
mail (2.3.0, 2.2.15)
mime-types (1.16)
mocha (0.9.12)
mysql (2.8.1)
mysql2 (0.3.2, 0.2.7)
passenger (3.0.7, 3.0.2)
pg (0.11.0, 0.9.0)
polyglot (0.3.1)
rack (1.2.2, 1.2.1, 1.1.2, 1.0.1)
rack-mount (0.8.1, 0.8.0, 0.7.2, 0.6.14, 0.6.13)
rack-test (0.6.0, 0.5.7)
rails (3.0.7, 3.0.4, 2.3.11, 2.3.5)
railties (3.0.7, 3.0.4)
rake (0.8.7)
rmagick (2.13.1, 1.15.17)
ruby-openid (2.1.8)
rubygems-update (1.8.4, 1.8.2, 1.8.1, 1.7.2)
rubytree (0.8.1, 0.5.3)
shoulda (2.11.3, 2.10.3)
spruz (0.2.6, 0.2.5)
sqlite3 (1.3.3)
sqlite3-ruby (1.3.3, 1.2.5)
thor (0.14.6)
treetop (1.4.9)
tzinfo (0.3.27, 0.3.24)
root@websvr:~# apt-show-versions ruby-enterprise
ruby-enterprise 1.8.7-2011.03 installed: No available version in archive
</pre>
Gemach, Gemach. Ich kann damit arbeiten und alles ist gut. Ich habe mehr als genug andere Baustellen.  Genau das ist ja der Grund fÃ¼r Chili.  IRC 
muss ich mal dringend mit beschÃ¤ftigen oder besser, mich dran gewÃ¶hnen, ich bevorzuge momentan noch andere Formen der Kommunikation. Soll 
aber auch kein Problem sein.

2011-07-18 10:10 pm - Alf Gaida
- Status changed from Needs more information to Closed

Mit dem Patch von Artem Naluzhnyy https://www.chiliproject.org/issues/383#note-2
in https://www.chiliproject.org/projects/chiliproject/repository/revisions/9f2c412fa6aa0696c35476d330d6fd0ac1cb88da  von Eric gefixt.

Files
utf8-unstable.diff 1.9 kB 2011-05-29 Alf Gaida
utf8-unstable-2.diff 1 kB 2011-05-29 Alf Gaida

2020-10-25 4/4


